/* check_devs.c - see what pcap_findalldevs can see and open */

#include <pcap.h>
#include <stdio.h>

void main()
{
	int s;
	pcap_if_t *alldevs, *p;
	pcap_t *dev;
	char ebuf[PCAP_ERRBUF_SIZE];

	s = pcap_findalldevs(&alldevs, &ebuf[0]);
	if (s == -1) {
		printf("pcap_findalldevs FAILED: %s\n", ebuf);
		return;
	}

	p = alldevs;
	while (p != NULL) {
		printf("%s (%s)\n", p->name, p->description);
		dev = pcap_open_live(p->name, 0, 0, 0, ebuf);
		if (dev == NULL) {
			printf("pcap_open_live FAILED: %s\n", ebuf);
		}
		p = p->next;
	}

	pcap_freealldevs(alldevs);
}
